Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.importer.support.internal.collection
Class DynamicSortedList<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicCollection<E>
              org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicList<E>
                  org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicSortedList<E>

All Implemented Interfaces:
  Iterable<E>, Collection<E>, List<E>, RandomAccess

    public class DynamicSortedList<E>

extends DynamicList<E>

A specilized subtype of DynamicList which impose an order between its elements.

Author:
  Costin Leau

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicCollection
`DynamicCollection.DynamicIterator`

Field Summary

Fields inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicCollection
`iterators, iteratorsLock, storage`

Constructor Summary
`DynamicSortedList()`
`DynamicSortedList(Collection<? extends E> c)`
`DynamicSortedList(Comparator<? super E> c)`
`DynamicSortedList(int size)`

Method Summary
`boolean` | `add(E o)`
`void` | `add(int index, E o)`
`boolean` | `addAll(int index, Collection<? extends E> c)`
`E` | `set(int index, E o)`

Methods inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicList
`get, indexOf, lastIndexOf, listIterator, listIterator, remove, subList`

Methods inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicCollection
`addAll, clear, contains, containsAll, isEmpty, iterator, remove, size, toArray, toArray, toString`

Methods inherited from class java.util.AbstractCollection
`removeAll, retainAll`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### DynamicSortedList

    public DynamicSortedList()

### DynamicSortedList

    public DynamicSortedList(Comparator<? super E> c)

### DynamicSortedList

    public DynamicSortedList(Collection<? extends E> c)

### DynamicSortedList

    public DynamicSortedList(int size)

Method Detail

### add

    public boolean add(E o)

  Specified by:
    `add` in interface `Collection<E>`
  Specified by:
    `add` in interface `List<E>`
  Overrides:
    `add` in class `DynamicCollection<E>`

### add

    public void add(int index,
                    E o)

  Specified by:
    `add` in interface `List<E>`
  Overrides:
    `add` in class `DynamicList<E>`

### addAll

    public boolean addAll(int index,
                          Collection<? extends E> c)

  Specified by:
    `addAll` in interface `List<E>`
  Overrides:
    `addAll` in class `DynamicList<E>`

### set

    public E set(int index,
                 E o)

  Specified by:
    `set` in interface `List<E>`
  Overrides:
    `set` in class `DynamicList<E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.